<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="0dp">

    <LinearLayout
        android:id="@+id/logoLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/numberInputLayout"
        android:layout_alignParentTop="true"
        android:layout_centerHorizontal="true"
        android:background="@color/sinch_yellow"
        android:paddingLeft="@dimen/margin_big"
        android:paddingRight="@dimen/margin_big">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingLeft="@dimen/margin_big"
            android:paddingRight="@dimen/margin_big"
            android:src="@drawable/ic_sinch_logotype_black_rgb" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/numberInputLayout"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:orientation="vertical"
        android:paddingLeft="@dimen/margin_big"
        android:paddingRight="@dimen/margin_big"
        android:paddingBottom="@dimen/input_layout_bottom">

        <com.google.android.material.textfield.TextInputLayout
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/margin_big"
            android:layout_marginBottom="@dimen/input_layout_bottom"
            android:hint="@string/enter_callee_id"
            app:counterMaxLength="50"
            app:endIconCheckable="true"
            app:startIconDrawable="@android:drawable/presence_audio_online"
            app:startIconTint="@color/colorPrimaryDark">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/callName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="text"
                android:imeOptions="actionDone"/>

        </com.google.android.material.textfield.TextInputLayout>

    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/numberInputLayout"
        android:layout_centerHorizontal="true"
        android:paddingTop="@dimen/margin_average"
        android:paddingBottom="@dimen/margin_base">

        <TextView
            android:id="@+id/infoText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingTop="@dimen/margin_base"
            android:text="@string/logged_in_as" />

        <TextView
            android:id="@+id/loggedInName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_small"
            android:paddingBottom="@dimen/margin_base"
            android:textStyle="bold" />
    </LinearLayout>


    <RelativeLayout
        android:id="@+id/callInteractView"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true">

        <com.google.android.material.button.MaterialButton
            android:id="@+id/callButton"
            style="@style/Widget.MaterialComponents.Button.Icon"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="false"
            android:layout_centerHorizontal="true"
            android:layout_gravity="center_horizontal"
            android:layout_marginStart="@dimen/margin_average"
            android:layout_marginTop="@dimen/margin_small"
            android:layout_marginEnd="@dimen/margin_average"
            android:padding="@dimen/margin_base_plus"
            android:text="@string/call"
            android:textAlignment="center"
            android:textColor="@color/white"
            app:backgroundTint="@color/sinch_green"
            app:icon="@drawable/ic_outline_phone_in_talk_24"
            app:iconGravity="textEnd" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/logoutButton"
            style="@style/Widget.MaterialComponents.Button.TextButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/callButton"
            android:layout_centerHorizontal="true"
            android:layout_gravity="center_horizontal"
            android:layout_marginBottom="@dimen/margin_base"
            android:text="@string/logout"
            android:textAlignment="gravity"
            android:textAllCaps="false"
            android:textColor="@color/sinch_black"
            app:icon="@drawable/ic_baseline_stop_24_black"
            app:iconGravity="textStart" />

    </RelativeLayout>

</RelativeLayout>